//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//
//
//
//	dt_debug_comfort.h
//	project: DEDITEC Firmware
//
//
//	(c) DEDITEC GmbH, 2013
//	web: http://www.deditec.de/
//	mail: vertrieb@deditec.de
//
//
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************

extern void debug_print(const char * format, ...);
extern void debug_info(const char * format, ...);
extern void debug_error(const char * format, ...);

extern void debug_sprintf(char *dest_buffer, const char *format, ...);
extern void debug_strcat(char *dest_buffer, const char *format, ...);
extern void debug_print_hex(unsigned char *src_buffer, unsigned long src_buffer_len);
extern void debug_strcat_hex(char *dest_buffer, unsigned long dest_buffer_len, unsigned char *src_buffer, unsigned long src_buffer_len);

// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------

#ifdef debug_version
	#define versionNr	(verNr|0x9000)	//Versionsnummer in HEX DEBUG VERSION
#else
	#define versionNr	verNr			//Versionsnummer in HEX FINAL VERSION
#endif

#define versionNr_0	'0' + ((versionNr>>12)&0x0f)	// Versionsnummer
#define versionNr_1	'0' + ((versionNr>>8 )&0x0f)	// Versionsnummer
#define versionNr_2	'0' + ((versionNr>>4 )&0x0f)	// Versionsnummer
#define versionNr_3	'0' + ((versionNr    )&0x0f)	// Versionsnummer

// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
