//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//
//
//
//	deditec_msgqueue.h
//	project: DEDITEC library
//
//
//	(c) DEDITEC GmbH, 2013
//	web: http://www.deditec.de/
//	mail: vertrieb@deditec.de
//
// 
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************

#include "deditec_msgqueue_struct.h"

extern int  dt_msgq_create (int permmission);
extern void dt_msgq_delete (int id);

extern unsigned long dt_msgq_global_exists (char* filename);
extern unsigned long dt_msgq_global_create (int id, char* filename);
extern void          dt_msgq_global_delete (char* filename);
extern int           dt_msgq_global_read (char* filename);

extern unsigned long dt_msgq_create_all_for_server(char* filename, int *serverid);
extern unsigned long dt_msgq_create_all_for_client(int permission, char* filename, int *clientid, int *serverid);
extern void          dt_msgq_delete_all(char* filename, int serverid);

extern unsigned long dt_msgq_get (int id, void *retstr, unsigned long retstr_len, unsigned long *no_of_bytes_received);
extern unsigned long dt_msgq_get_no_wait (int id, void *retstr, unsigned long retstr_len, unsigned long *no_of_bytes_received);
extern unsigned long dt_msgq_put (int id, void *sendstr, unsigned long sendstr_len);

extern unsigned long dt_msgq_send_message_to_queue_with_init_and_close(char *dest_DT_MSGQ_DEFINE, dt_msgq_c2s *putdata, dt_msgq_s2c *getdata);

extern void dt_msgq_server_check(int server_id, unsigned long param1);

#define DT_MSGQ_SERVER_CHECK_WAIT						1
#define DT_MSGQ_SERVER_CHECK_NO_WAIT					2
