//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//
//
//
//	deditec_parameter_io.h
//	project: DEDITEC library
//
//
//	(c) DEDITEC GmbH, 2013
//	web: http://www.deditec.de/
//	mail: vertrieb@deditec.de
//
// 
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************



extern unsigned long parameter_get_text (unsigned char *pattern, unsigned long pattern_length, unsigned char *found_value, unsigned long found_value_length);
extern unsigned long parameter_get_long (unsigned char *pattern, unsigned long pattern_length, long *found_value);
extern unsigned long parameter_get_float (unsigned char *pattern, unsigned long pattern_length, float *return_value);

extern unsigned long parameter_get_text_or_write_default(unsigned char *pattern, unsigned long pattern_length, unsigned char *found_value_buff, unsigned long found_value_buff_size, unsigned char *default_value_buff, unsigned long default_value_buff_size);
extern unsigned long parameter_get_long_or_write_default(unsigned char *pattern, unsigned long pattern_length, unsigned long *found_value, unsigned long default_value);
extern unsigned long parameter_get_float_or_write_default(unsigned char *pattern, unsigned long pattern_length, float *found_value, float default_value);


extern unsigned long parameter_set_text (unsigned char *pattern, unsigned long pattern_length, unsigned char *insert_value, unsigned long insert_value_length);
extern unsigned long parameter_set_long (unsigned char *pattern, unsigned long pattern_length, long insert_value);
extern unsigned long parameter_set_float (unsigned char *pattern, unsigned long pattern_length, float insert_value);

extern unsigned long parameter_delete (unsigned char *pattern, unsigned long pattern_length);
