//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//
//
//  product: RO-ETH
//  configuration: custom_sample for RO-ETH-Modules
//  programming language: vc
//
//
//  (c) DEDITEC GmbH, 2014
//  web: http://www.deditec.de/
//  mail: vertrieb@deditec.de
//
//
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//
// ------------------------------------
// ------------------------------------
// History
// ------------------------------------
// ------------------------------------
//
// V2.00	DT	26.03.2014	Start
// V2.01	CC	17.07.2014	Added signal handling (unix kill command 'kill [pid]') to shutdown custom-fw
//
#define verNr	0x0201					// Set revision no. as hexadecimal
//
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// DEBUG
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
//
//#define debug_version 1
//
#define	debug_out(msg) 			log_write(msg, 1);		// with output on screen
//
#define	debug_out_print(msg)	debug_out(msg)
#define	debug_out_info(msg)		debug_out(msg)
#define	debug_out_error(msg)	debug_out(msg)
//
// If debug_version is defined:
// debug_print commands will be printed AND the firmware revision will be 9x.xx
//
// If debug_version is NOT defined:
// only debug_info commands will be printed
//
//-----------------------------------------------------------------------------
//                          |                debug_print                      |
// ------------------------ | ----------------------------------------------- |
// DEBUG-Version            |           LOG + Output on screen	              |
// NOT DEBUG-Version      	|	               -----                          |
//-----------------------------------------------------------------------------
//
// ------------------------------------
// ------------------------------------
// Includes
// ------------------------------------
// ------------------------------------
//
#include "library/embedded/dt_var_defines.h"
#include "library/embedded/deditec_debug_comfort.h"
#include "library/embedded/dt_embedded_parameter.h"
//
#include "library/linux/deditec_parameter_io.h"
#include "library/linux/deditec_log.h"
//
#include "library/delib/delib.h"
//
// ------------------------------------
// ------------------------------------
// Defines
// ------------------------------------
// ------------------------------------
//
#define CUSTOM1_PARAM_PRODUCT_NAME					"cust1_product_name"
#define CUSTOM1_PARAM_FIRMWARE_VERSION				"cust1_fw_rev"
//
#define CUSTOM1_TEST_PARAM_TEXT						"cust1_testvar_text"
#define CUSTOM1_TEST_PARAM_LONG						"cust1_testvar_long"
//
#define CUSTOM1_COUNTER_TEST						"counter_test"
//
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
